Upstream information

CVE-2014-2977 at MITRE

Description

Multiple integer signedness errors in the Dispatch_Write function in proxy/dispatcher/idirectfbsurface_dispatcher.c in DirectFB 1.4.13 allow remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via the Voodoo interface, which triggers a stack-based buffer overflow.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 10
Vector AV:N/AC:L/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 878345 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • DirectFB >= 1.7.1-4.1
  • lib++dfb-1_7-1 >= 1.7.1-4.1
  • libdirectfb-1_7-1 >= 1.7.1-4.1
  • libdirectfb-1_7-1-32bit >= 1.7.1-4.1
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Desktop 12 SP4
  • DirectFB >= 1.7.1-6.1
  • lib++dfb-1_7-1 >= 1.7.1-6.1
  • libdirectfb-1_7-1 >= 1.7.1-6.1
  • libdirectfb-1_7-1-32bit >= 1.7.1-6.1
SUSE Linux Enterprise Desktop 12
  • DirectFB >= 1.7.1-4.1
  • lib++dfb-1_7-1 >= 1.7.1-4.1
  • libdirectfb-1_7-1 >= 1.7.1-4.1
  • libdirectfb-1_7-1-32bit >= 1.7.1-4.1
Patchnames:
SUSE-SLE-DESKTOP-12-2015-185
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • DirectFB >= 1.7.1-6.1
  • lib++dfb-1_7-1 >= 1.7.1-6.1
  • libdirectfb-1_7-1 >= 1.7.1-6.1
SUSE Linux Enterprise Server 12 SP1
  • DirectFB >= 1.7.1-4.1
  • lib++dfb-1_7-1 >= 1.7.1-4.1
  • libdirectfb-1_7-1 >= 1.7.1-4.1
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server for SAP Applications 12
  • DirectFB >= 1.7.1-4.1
  • lib++dfb-1_7-1 >= 1.7.1-4.1
  • libdirectfb-1_7-1 >= 1.7.1-4.1
Patchnames:
SUSE-SLE-SERVER-12-2015-185
SUSE Linux Enterprise Software Development Kit 12 SP1
  • DirectFB-devel >= 1.7.1-4.1
  • lib++dfb-devel >= 1.7.1-4.1
SUSE Linux Enterprise Software Development Kit 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP5
  • DirectFB-devel >= 1.7.1-6.1
  • lib++dfb-devel >= 1.7.1-6.1
SUSE Linux Enterprise Software Development Kit 12
  • DirectFB >= 1.7.1-4.1
  • DirectFB-devel >= 1.7.1-4.1
  • lib++dfb-devel >= 1.7.1-4.1
Patchnames:
SUSE-SLE-SDK-12-2015-185
SUSE Linux Enterprise Workstation Extension 12 SP1
  • libdirectfb-1_7-1-32bit >= 1.7.1-4.1
SUSE Linux Enterprise Workstation Extension 12 SP2
SUSE Linux Enterprise Workstation Extension 12 SP3
SUSE Linux Enterprise Workstation Extension 12 SP4
SUSE Linux Enterprise Workstation Extension 12 SP5
  • libdirectfb-1_7-1-32bit >= 1.7.1-6.1
SUSE Linux Enterprise Workstation Extension 12
  • DirectFB >= 1.7.1-4.1
  • libdirectfb-1_7-1-32bit >= 1.7.1-4.1
Patchnames:
SUSE-SLE-WE-12-2015-185
openSUSE 13.1
  • DirectFB >= 1.6.3-4.3.1
  • DirectFB-Mesa >= 1.6.3-4.3.1
  • DirectFB-Mesa-debuginfo >= 1.6.3-4.3.1
  • DirectFB-debuginfo >= 1.6.3-4.3.1
  • DirectFB-debugsource >= 1.6.3-4.3.1
  • DirectFB-devel >= 1.6.3-4.3.1
  • DirectFB-devel-32bit >= 1.6.3-4.3.1
  • DirectFB-doc >= 1.6.3-4.3.1
  • DirectFB-libSDL >= 1.6.3-4.3.1
  • DirectFB-libSDL-debuginfo >= 1.6.3-4.3.1
  • DirectFB-libvncclient >= 1.6.3-4.3.1
  • DirectFB-libvncclient-debuginfo >= 1.6.3-4.3.1
  • libdirectfb-1_6-0 >= 1.6.3-4.3.1
  • libdirectfb-1_6-0-32bit >= 1.6.3-4.3.1
  • libdirectfb-1_6-0-debuginfo >= 1.6.3-4.3.1
  • libdirectfb-1_6-0-debuginfo-32bit >= 1.6.3-4.3.1
Patchnames:
openSUSE-2015-340
openSUSE Leap 42.1
  • libdirectfb-1_7-1 >= 1.7.1-3.1
Patchnames:
openSUSE Leap 42.1 GA libdirectfb-1_7-1
openSUSE Leap 42.2
  • libdirectfb-1_7-1 >= 1.7.1-5.31
Patchnames:
openSUSE Leap 42.2 GA libdirectfb-1_7-1
openSUSE Leap 42.3
  • libdirectfb-1_7-1 >= 1.7.1-7.25
Patchnames:
openSUSE Leap 42.3 GA libdirectfb-1_7-1
openSUSE Tumbleweed
  • DirectFB >= 1.7.7-5.9
  • DirectFB-Mesa >= 1.7.7-5.9
  • DirectFB-devel >= 1.7.7-5.9
  • DirectFB-devel-32bit >= 1.7.7-5.9
  • DirectFB-doc >= 1.7.7-5.9
  • DirectFB-libSDL >= 1.7.7-5.9
  • DirectFB-libvncclient >= 1.7.7-5.9
  • lib++dfb-1_7-7 >= 1.7.7-5.9
  • lib++dfb-devel >= 1.7.7-5.9
  • libdirectfb-1_7-7 >= 1.7.7-5.9
  • libdirectfb-1_7-7-32bit >= 1.7.7-5.9
Patchnames:
openSUSE Tumbleweed GA DirectFB


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP3 DirectFB Not affected
SUSE Linux Enterprise Desktop 12 DirectFB Released
SUSE Linux Enterprise Desktop 12 SP1 DirectFB Released
SUSE Linux Enterprise High Performance Computing 12 SP5 DirectFB Released
SUSE Linux Enterprise Server 11 SP3 DirectFB Not affected
SUSE Linux Enterprise Server 11 SP3 for VMware DirectFB Not affected
SUSE Linux Enterprise Server 12 DirectFB Released
SUSE Linux Enterprise Server 12 SP1 LTSS DirectFB Affected
SUSE Linux Enterprise Server 12 SP2 BCL DirectFB Affected
SUSE Linux Enterprise Server 12 SP2 LTSS DirectFB Affected
SUSE Linux Enterprise Server 12 SP3 DirectFB Affected
SUSE Linux Enterprise Server 12 SP3 BCL DirectFB Affected
SUSE Linux Enterprise Server 12 SP3 LTSS DirectFB Affected
SUSE Linux Enterprise Server 12 SP4 LTSS DirectFB Affected
SUSE Linux Enterprise Server 12 SP5 DirectFB Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 DirectFB Released
SUSE Linux Enterprise Software Development Kit 11 SP3 DirectFB Not affected
SUSE Linux Enterprise Software Development Kit 12 DirectFB Released
SUSE Linux Enterprise Software Development Kit 12 SP3 DirectFB Affected
SUSE Linux Enterprise Software Development Kit 12 SP5 DirectFB Affected
SUSE Linux Enterprise Workstation Extension 12 DirectFB Released